<sqtm-core-entity-view-wrapper [sqtmCoreViewId]="'sprint-req-version-view'">
  @if ($componentData(); as componentData) {
    @if ($referentialData(); as referentialData) {
      <div class="flex full-height full-width neutral-background-color">
        <div class="flex-column full-width">
          <sqtm-core-configurable-banner />

          <sqtm-core-entity-view-header
            class="full-width content-head p-t-10 p-r-20 m-b-20"
            [entityPath]="componentData.sprintReqVersion.path"
            [hasAttachmentList]="false"
            [nameEditable]="false"
            id="sprint-req-version-header"
          >
            @if (componentData.sprintReqVersion.reference) {
              <div projection="reference" class="reference">
                <span>{{ componentData.sprintReqVersion.reference }}</span>
              </div>
            }

            <div projection="capsule" class="sqtm-core-capsules-container">
              <div class="flex align-items-center">
                <sqtm-core-capsule-information
                  [attr.data-test-capsule-id]="'capsule-validation-status'"
                  [informationData]="$validationStatusData()"
                >
                </sqtm-core-capsule-information>
              </div>
              @if ($componentData().permissions.canWrite) {
                <div class="flex m-l-auto">
                  @switch ($componentData().sprintReqVersion.validationStatus) {
                    @case (SprintReqVersionValidationStatus.TO_BE_TESTED.id) {
                      <button
                        class="flex-fixed-size ant-btn ant-btn-primary m-r-auto"
                        [attr.data-test-element-id]="
                          'from-to-be-tested-to-in-progress-button'
                        "
                        (click)="
                          updateValidationStatus(
                            SprintReqVersionValidationStatus.IN_PROGRESS
                          )
                        "
                      >
                        {{
                          'sqtm-core.sprint.req-version.action-button.start-testing'
                            | translate
                        }}
                      </button>
                    }
                    @case (SprintReqVersionValidationStatus.IN_PROGRESS.id) {
                      <button
                        class="flex-fixed-size ant-btn ant-btn-primary m-r-10"
                        [attr.data-test-element-id]="
                          'from-in-progress-to-validated-button'
                        "
                        (click)="
                          updateValidationStatus(
                            SprintReqVersionValidationStatus.VALIDATED
                          )
                        "
                      >
                        {{
                          'sqtm-core.sprint.req-version.action-button.mark-as-validated'
                            | translate
                        }}
                      </button>
                      <button
                        class="flex-fixed-size ant-btn ant-btn-primary m-r-auto"
                        [attr.data-test-element-id]="
                          'from-in-progress-to-to-be-corrected-button'
                        "
                        (click)="
                          updateValidationStatus(
                            SprintReqVersionValidationStatus.TO_BE_CORRECTED
                          )
                        "
                      >
                        {{
                          'sqtm-core.sprint.req-version.action-button.mark-as-to-be-corrected'
                            | translate
                        }}
                      </button>
                    }
                    @case (SprintReqVersionValidationStatus.VALIDATED.id) {
                      <button
                        class="flex-fixed-size ant-btn ant-btn-primary m-r-10"
                        [attr.data-test-element-id]="
                          'from-validated-to-to-be-corrected-button'
                        "
                        (click)="
                          updateValidationStatus(
                            SprintReqVersionValidationStatus.TO_BE_CORRECTED
                          )
                        "
                      >
                        {{
                          'sqtm-core.sprint.req-version.action-button.mark-as-to-be-corrected'
                            | translate
                        }}
                      </button>
                      <button
                        class="flex-fixed-size ant-btn ant-btn-primary m-r-auto"
                        [attr.data-test-element-id]="
                          'from-validated-to-in-progress-button'
                        "
                        (click)="
                          updateValidationStatus(
                            SprintReqVersionValidationStatus.IN_PROGRESS
                          )
                        "
                      >
                        {{
                          'sqtm-core.sprint.req-version.action-button.resume-testing'
                            | translate
                        }}
                      </button>
                    }
                    @case (
                      SprintReqVersionValidationStatus.TO_BE_CORRECTED.id
                    ) {
                      <button
                        [attr.data-test-element-id]="
                          'from-to-be-corrected-to-validated-button'
                        "
                        class="flex-fixed-size ant-btn ant-btn-primary m-r-10"
                        (click)="
                          updateValidationStatus(
                            SprintReqVersionValidationStatus.VALIDATED
                          )
                        "
                      >
                        {{
                          'sqtm-core.sprint.req-version.action-button.mark-as-validated'
                            | translate
                        }}
                      </button>
                      <button
                        class="flex-fixed-size ant-btn ant-btn-primary m-r-auto"
                        [attr.data-test-element-id]="
                          'from-to-be-corrected-to-in-progress-button'
                        "
                        (click)="
                          updateValidationStatus(
                            SprintReqVersionValidationStatus.IN_PROGRESS
                          )
                        "
                      >
                        {{
                          'sqtm-core.sprint.req-version.action-button.resume-testing'
                            | translate
                        }}
                      </button>
                    }
                  }
                </div>
              }
            </div>

            <div projection="actions" class="m-t-6 width-40">
              <ng-content select="[projection=detail-buttons]"></ng-content>
            </div>
          </sqtm-core-entity-view-header>

          <div class="flex-row full-width full-height">
            <div class="flex-fixed-size side-bar">
              <div class="anchor-bar">
                <sqtm-core-anchor>
                  <sqtm-core-anchor-group [id]="'content'">
                    <sqtm-core-anchor-link
                      sqtmCoreDefaultAnchorLink
                      nz-tooltip
                      nzTooltipPlacement="right"
                      [id]="'information'"
                      [nzTooltipTitle]="
                        'sqtm-core.generic.label.information.plural' | translate
                      "
                      [iconName]="'sqtm-core-generic:information'"
                    >
                    </sqtm-core-anchor-link>

                    <sqtm-core-anchor-link
                      nz-tooltip
                      nzTooltipPlacement="right"
                      [id]="'testPlan'"
                      [nzTooltipTitle]="
                        'sqtm-core.sprint.req-version.test-plan.title'
                          | translate
                      "
                      [iconName]="'sqtm-core-nav:test-case-workspace'"
                    >
                    </sqtm-core-anchor-link>

                    <sqtm-core-anchor-link
                      nz-tooltip
                      nzTooltipPlacement="right"
                      [id]="'issueExecution'"
                      [nzTooltipTitle]="
                        'sqtm-core.sprint.issue-execution' | translate
                      "
                      [iconName]="'sqtm-core-administration:bugtracker'"
                      [visible]="!!componentData.projectData.bugTracker"
                    >
                      @if (componentData.sprintReqVersion.nbIssues > 0) {
                        <div class="anchor-counter">
                          {{ componentData.sprintReqVersion.nbIssues }}
                        </div>
                      }
                    </sqtm-core-anchor-link>
                  </sqtm-core-anchor-group>
                </sqtm-core-anchor>
              </div>
            </div>

            <div class="content-body full-height full-width">
              <router-outlet></router-outlet>
            </div>
          </div>
        </div>
      </div>
    } @else {
      <sqtm-core-full-page-loading-icon></sqtm-core-full-page-loading-icon>
    }
  }
</sqtm-core-entity-view-wrapper>
